package com.yem.wm.bc.change.common.consts;

import java.util.HashMap;
import java.util.Map;

/**
 * @author 夜子
 * @ClassName LabelMappingFieldsMap
 * @description: 标签映射字段集合
 * @date 2023年08月03日
 * @version: 1.0
 */
public class LabelMappingFieldsMap {
    public static final Map<String, Map<String, String>> Bill_Label_Fields_Map = new HashMap<String, Map<String, String>>() {
        {
            Map<String, String> default_Label_Fields_Map = new HashMap<>();
            //公司抬头
            default_Label_Fields_Map.put("yem_companyname","yem_conamelabel");
            default_Label_Fields_Map.put("yem_companyaddr","yem_flexsbank");
            default_Label_Fields_Map.put("yem_companylinkman","yem_flexcoacct");
            default_Label_Fields_Map.put("yem_companytel","yem_flexcolink");
            default_Label_Fields_Map.put("yem_companyfax","yem_flexcotel");
            default_Label_Fields_Map.put("yem_companybankacc","yem_flexcoaddr");
            default_Label_Fields_Map.put("yem_companyopenbank","yem_flexcoemail");
            default_Label_Fields_Map.put("yem_companyaccname","yem_flexcovx");
            default_Label_Fields_Map.put("yem_companyswift","yem_flexcoqq");
            default_Label_Fields_Map.put("yem_companybankaddress","yem_flexcofax");
            //客户
            default_Label_Fields_Map.put("yem_customername","yem_payername");
            default_Label_Fields_Map.put("yem_customeraddr","yem_flexpayerbank");
            default_Label_Fields_Map.put("yem_customerlinkman","yem_flexpayeracct");
            default_Label_Fields_Map.put("yem_customertel","yem_flexpayerlink");
            default_Label_Fields_Map.put("yem_customerfax","yem_flexpayertel");
            default_Label_Fields_Map.put("yem_customerbankacc","yem_flexpayeraddr");
            default_Label_Fields_Map.put("yem_customeropenbank","yem_flexpayeremail");
            default_Label_Fields_Map.put("yem_customeraccname","yem_flexpayervx");
            default_Label_Fields_Map.put("yem_customeraccurrency","yem_flexpayerqq");
            default_Label_Fields_Map.put("yem_customeracccountry","yem_flexpayerfax");

            this.put("defaultBill", default_Label_Fields_Map);

            Map<String, String> xtxtceshji1_Label_Fields_Map = new HashMap<>();
            xtxtceshji1_Label_Fields_Map.put("yem_mulbasedatafield1","advconsummarypanelap");
            this.put("yem_xtxtceshji1", xtxtceshji1_Label_Fields_Map);
        }
    };
}
